OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Enumerations | Variables
company_type.h File Reference

Types related to companies. More...

`#include "core/enum_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | EnumPropsT< Owner >
| Define basic enum properties. More...

## Typedefs
typedef TinyEnumT< Owner > | OwnerByte
typedef Owner | CompanyID
typedef OwnerByte | CompanyByte
typedef uint16 | CompanyMask
typedef uint32 | CompanyManagerFace
| Company manager face bits, info see in company_manager_face.h.

## Enumerations
enum | Owner { OWNER_BEGIN = 0x00, COMPANY_FIRST = 0x00, MAX_COMPANIES = 0x0F, OWNER_TOWN = 0x0F, OWNER_NONE = 0x10, OWNER_WATER = 0x11, OWNER_DEITY = 0x12, OWNER_END, INVALID_OWNER = 0xFF, INVALID_COMPANY = 0xFF, COMPANY_INACTIVE_CLIENT = 253, COMPANY_NEW_COMPANY = 254, COMPANY_SPECTATOR = 255 }
| Enum for all companies/owners. More...
enum | CompanyRemoveReason { CRR_MANUAL, CRR_AUTOCLEAN, CRR_BANKRUPT, CRR_END }
| The reason why the company was removed. More...

## Variables
static const uint | MAX_LENGTH_PRESIDENT_NAME_CHARS = 32
| The maximum length of a president name in characters including '\0'.
static const uint | MAX_LENGTH_COMPANY_NAME_CHARS = 32
| The maximum length of a company name in characters including '\0'.
static const uint | MAX_HISTORY_QUARTERS = 24
| The maximum number of quarters kept as performance's history.

## Detailed Description

Types related to companies.

Definition in file company_type.h.

## Enumeration Type Documentation

enum CompanyRemoveReason

The reason why the company was removed.

Enumerator:

  CRR_MANUAL | The company is manually removed.
  CRR_AUTOCLEAN | The company is removed due to autoclean.
  CRR_BANKRUPT | The company went belly-up.
  CRR_END | Sentinel for end.

Definition at line 59 of file company_type.h.

enum Owner

Enum for all companies/owners.

Enumerator:

  OWNER_BEGIN | First owner.
  COMPANY_FIRST | First company, same as owner.
  MAX_COMPANIES | Maximum number of companies.
  OWNER_TOWN | A town owns the tile, or a town is expanding.
  OWNER_NONE | The tile has no ownership.
  OWNER_WATER | The tile/execution is done by "water".
  OWNER_DEITY | The object is owned by a superuser / goal script.
  OWNER_END | Last + 1 owner.
  INVALID_OWNER | An invalid owner.
  INVALID_COMPANY | An invalid company.
  COMPANY_INACTIVE_CLIENT | The client is joining.
  COMPANY_NEW_COMPANY | The client wants a new company.
  COMPANY_SPECTATOR | The client is spectating.

Definition at line 20 of file company_type.h.